Macro Allinea la faccia dell'oggetto alla vista

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Macro Align Face Object to View and the translation is 100% complete.
Other languages:
English • ‎français • ‎italiano

Macro Align Face Object to View.png Allinea la faccia dell'oggetto alla vista

Descrizione
Questa macro dirige la faccia dell'oggetto verso la vista attiva.

Versione macro: 0.1
Ultima modifica: 2015-01-16
Versione FreeCAD: Tutte
Download: ToolBar Icon
Autore
Mario52
Download
ToolBar Icon
Link
Versione macro
0.1
Data ultima modifica
2015-01-16
Versioni di FreeCAD
Tutte
Scorciatoia
Nessuna
Vedere anche
FCCamera Macro_FCCamera


Descrizione

Questa macro orienta la faccia dell'oggetto verso la ActiveView (telecamera). Nel caso della faccia di un foro (o di una faccia interna o di un cilindro) orienta la faccia della foratura verso lo schermo.

Utilizzo

  • Selezionare l'oggetto ed eseguire la macro
  • L'oggetto viene orientato verso la telecamera

Script

ToolBar Icon Macro Align Face Object to View.png

Macro_Align_Face_Object_to_View.FCMacro

# This macro directs the face of the object on the side of the ActiveView (camera)
# extact FCCamera
# 16/01/2015

__title__="Macro_Align_Face_Object_to_View"
__author__ = "Mario52"

import pivy
from pivy import coin

try:
    v=Gui.Selection.getSelectionEx()[0].SubObjects[0].Surface.Axis    # to Axis
#    v = Gui.Selection.getSelectionEx()[0].SubObjects[0].normalAt(0,0) # normalAt
    r=App.Rotation(App.Vector(0,0,1),v)
    Gui.ActiveDocument.ActiveView.setCameraOrientation(r.Q)
except Exception:
    App.Console.PrintError("Select a face and run the macro"+"\n")

Links

Original macro by wmayer Looking for some helpful GUI-commands